//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/speargun.h                                               $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:40 PM                                               $
//
// Copyright (C) 1997 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// Fires a spear.  Used by Seabonites.
//

#ifndef __SPEARGUN_H__
#define __SPEARGUN_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "specialfx.h"

class Spear : public Projectile
{
public:
	CLASS_PROTOTYPE( Spear );

	void                    Hit( Event* ev );
	void                    Setup( Entity* owner, Vector pos, Vector dir );
};


class SpearGun : public Weapon
{
public:
	CLASS_PROTOTYPE( SpearGun );

	SpearGun();
	virtual void        Shoot( Event* ev );
};

#endif /* speargun.h */
